Subject: Re: bug#72852: closed (Re: bug#72852: Testsuite summary for GNU Automake 1.17 on x86_64-apple-darwin20.6.0)

From: Eric Gallager <[email-masked]>
Date: Wed, 11 Sep 2024 13:20:16 -0400

On Tue, Sep 10, 2024 at 10:59 PM Eric Gallager <[email-masked]> wrote:
>
> On Tue, Sep 10, 2024 at 6:46 PM Karl Berry <[email-masked]> wrote:
> >
> > Hi Eric - I've just committed a change that I hope fixes the version
> > number problem.  (See https://bugs.gnu.org/72157)
> >
> > However, looking at your list of failures, I see that some of them are
> > still about *.dSYM, now relating to distclean. E.g.,
> > t/yacc-bison-skeleton-cxx.sh shows:
> >
> >   ERROR: files left in build directory after distclean:
> >   ./zardoz.dSYM/Contents/Resources/DWARF/zardoz
> >   ./zardoz.dSYM/Contents/Info.plist
> >
> > I guess the removal list has to be updated in another place.
> > If you have a chance to look into it, that would be great.
> >
>
> Well, my patch just updated the _AM_PROG_CC_C_O autoconf macro, so I
> guess that .dSYM bundles still need to be added to the default list of
> files that get cleaned? They get created alongside executables, so
> whichever of the "clean" rules (mostlyclean, clean, distclean,
> maintainer-clean, etc.) that executables get cleaned up during, any
> .dSYM bundles whose names start the same should also get cleaned
> during that same step... Kinda busy with political stuff at the
> moment, but I'll take a look once I get a chance...
>

OK, I ran the testsuite after the latest commit, and the number of
failures is back down to 8 again... looking at where else to clean up
the .dSYM bundles, I guess in lib/am/progs.am would make sense? Under
the clean-%DIR%PROGRAMS: target... although, I guess first I need to
find out where/how the $(%DIR%_PROGRAMS) variable is set...

> > Thanks,
> > Karl